XmlConstants (Apache Ant API)

Package org.apache.tools.ant.util

## Class XmlConstants

- java.lang.Object
- - org.apache.tools.ant.util.XmlConstants

-     public class XmlConstants
      extends java.lang.Object

  XML Parser constants, all kept in one place for ease of reuse
  See Also:
    Xerces features, Xerces properties, SAX.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `FEATURE_DISALLOW_DTD` | the apache.org/xml disallow doctype decl feature
    `static java.lang.String` | `FEATURE_EXTERNAL_ENTITIES` | the sax external entities feature
    `static java.lang.String` | `FEATURE_JAXP12_SCHEMA_LANGUAGE` | property for schema language
    `static java.lang.String` | `FEATURE_JAXP12_SCHEMA_SOURCE` | property for schema source
    `static java.lang.String` | `FEATURE_NAMESPACES` | property for namespace support
    `static java.lang.String` | `FEATURE_VALIDATION` | property for validation
    `static java.lang.String` | `FEATURE_XSD` | property for xsd
    `static java.lang.String` | `FEATURE_XSD_FULL_VALIDATION` | property for full validation
    `static java.lang.String` | `PROPERTY_NO_NAMESPACE_SCHEMA_LOCATION` | property for location of no-name schema
    `static java.lang.String` | `PROPERTY_SCHEMA_LOCATION` | property for location of xml schema
    `static java.lang.String` | `URI_XSD` | the namespace for XML schema

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_SCHEMA_LOCATION

          public static final java.lang.String PROPERTY_SCHEMA_LOCATION

      property for location of xml schema
      See Also:
        Constant Field Values

    - #### PROPERTY_NO_NAMESPACE_SCHEMA_LOCATION

          public static final java.lang.String PROPERTY_NO_NAMESPACE_SCHEMA_LOCATION

      property for location of no-name schema
      See Also:
        Constant Field Values

    - #### FEATURE_XSD_FULL_VALIDATION

          public static final java.lang.String FEATURE_XSD_FULL_VALIDATION

      property for full validation
      See Also:
        Constant Field Values

    - #### FEATURE_XSD

          public static final java.lang.String FEATURE_XSD

      property for xsd
      See Also:
        Constant Field Values

    - #### FEATURE_VALIDATION

          public static final java.lang.String FEATURE_VALIDATION

      property for validation
      See Also:
        Constant Field Values

    - #### FEATURE_NAMESPACES

          public static final java.lang.String FEATURE_NAMESPACES

      property for namespace support
      See Also:
        Constant Field Values

    - #### FEATURE_JAXP12_SCHEMA_LANGUAGE

          public static final java.lang.String FEATURE_JAXP12_SCHEMA_LANGUAGE

      property for schema language
      See Also:
        Constant Field Values

    - #### FEATURE_JAXP12_SCHEMA_SOURCE

          public static final java.lang.String FEATURE_JAXP12_SCHEMA_SOURCE

      property for schema source
      See Also:
        Constant Field Values

    - #### URI_XSD

          public static final java.lang.String URI_XSD

      the namespace for XML schema
      See Also:
        Constant Field Values

    - #### FEATURE_EXTERNAL_ENTITIES

          public static final java.lang.String FEATURE_EXTERNAL_ENTITIES

      the sax external entities feature
      See Also:
        Constant Field Values

    - #### FEATURE_DISALLOW_DTD

          public static final java.lang.String FEATURE_DISALLOW_DTD

      the apache.org/xml disallow doctype decl feature
      See Also:
        Constant Field Values